---
title: "Searches Product Details Logs"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-productdetailslog"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Searches Product Details Logs

`GET` `/productdetailslog`

Operation ID: `get-productdetailslog`

Searches Product Details Logs

## Query parameters

- `plu` (string, optional) - Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If specified, product_id, product_supplier_sku, product_short_description, product_created_on filters are ignored.
- `movement_types` (string, optional) - Movement Type or Collection of Movement Types (comma separated). Example: Product Initialisation,Product Details Edited
- `filter_by` (string, optional) - Filter by. Available field name values: id, created_on, product_id, product_supplier_sku, product_short_description, product_created_on, origin, supplier_buy_ex_before, supplier_buy_ex_change, supplier_buy_ex_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, sell_price_inc_before, sell_price_inc_change, sell_price_inc_after, discount_price_before, discount_price_change, discount_price_after, rrp_inc_before, rrp_inc_change, rrp_inc_after, web_price_inc_before, web_price_inc_change, web_price_inc_after, product_type_before, product_type_after, disabled_before, disabled_after. In string values: '|' and ',' characters have to be escaped with slash, i.e. '\\,' '\\|' For operators that support multiple values (in, notin): multiple values are delimited using '|' character Available operators: eq - Equal neq - Not equals lt - Less lte - Less or equal gt - Greater gte - Greater or equal in - In notin - Not In contains - Contains isnull - Is Null isnullorempty - Is Null Or Empty isnotnull - Is Not Null startswith - Starts with endswith - Ends with doesnotcontain - Does not contain For non-nullable fields operators isnull and isnotnull are unavailable For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable For strings operators: lt, lte, gt, gte are unavailable Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124002
- `order_by` (string, optional) - Order by. Available field name values: id, created_on, product_id, product_supplier_sku, product_short_description, product_created_on, movement_type, origin, supplier_buy_ex_before, supplier_buy_ex_change, supplier_buy_ex_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, sell_price_inc_before, sell_price_inc_change, sell_price_inc_after, discount_price_before, discount_price_change, discount_price_after, rrp_inc_before, rrp_inc_change, rrp_inc_after, web_price_inc_before, web_price_inc_change, web_price_inc_after, product_type_before, product_type_after, disabled_before, disabled_after. Available direction values: asc, desc. Example: id asc, created_on desc
- `page_number` (integer, int32, optional)
- `page_size` (integer, int32, optional)

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Product Details Logs data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /productdetailslog:
    get:
      tags:
        - productdetailslog
      summary: Searches Product Details Logs
      description: Searches Product Details Logs
      operationId: get-productdetailslog
      parameters:
        - name: plu
          in: query
          description: Product Look-Up code (PLU) It can be Product Id, Supplier SKU,
            Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If
            specified, product_id, product_supplier_sku,
            product_short_description, product_created_on filters are ignored.
          schema:
            type: string
            description: Product Look-Up code (PLU) It can be Product Id, Supplier SKU,
              Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If
              specified, product_id, product_supplier_sku,
              product_short_description, product_created_on filters are ignored.
            nullable: true
        - name: movement_types
          in: query
          description: "Movement Type or Collection of Movement Types (comma separated).\r

            Example: Product Initialisation,Product Details Edited"
          schema:
            type: string
            description: "Movement Type or Collection of Movement Types (comma separated).\r

              Example: Product Initialisation,Product Details Edited"
            nullable: true
        - name: filter_by
          in: query
          description: "Filter by. \r

            \r

            Available field name values: id, created_on, product_id,
            product_supplier_sku, product_short_description, product_created_on,
            origin, supplier_buy_ex_before, supplier_buy_ex_change,
            supplier_buy_ex_after, buy_price_ex_before, buy_price_ex_change,
            buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change,
            direct_costs_ex_after, sell_price_inc_before, sell_price_inc_change,
            sell_price_inc_after, discount_price_before, discount_price_change,
            discount_price_after, rrp_inc_before, rrp_inc_change, rrp_inc_after,
            web_price_inc_before, web_price_inc_change, web_price_inc_after,
            product_type_before, product_type_after, disabled_before,
            disabled_after.\r

            \            \r

            In string values: '|' and ',' characters have to be escaped with
            slash, i.e. '\\\\,' '\\\\|'\r

            \            \r

            For operators that support multiple values (in, notin): multiple
            values are delimited using '|' character\r

            \r

            Available operators:\r

            \r

            eq -  Equal\r

            \r

            neq - Not equals\r

            \r

            lt  - Less\r

            \r

            lte - Less or equal\r

            \r

            gt -  Greater\r

            \r

            gte - Greater or equal\r

            \r

            in  - In\r

            \r

            notin - Not In\r

            \            \r

            contains - Contains\r

            \r

            isnull - Is Null\r

            \            \r

            isnullorempty - Is Null Or Empty\r

            \r

            isnotnull - Is Not Null\r

            \r

            startswith - Starts with\r

            \r

            endswith - Ends with\r

            \r

            doesnotcontain - Does not contain\r

            \            \r

            For non-nullable fields operators isnull and isnotnull are
            unavailable\r

            \r

            For dates operators: contains, startswith, endswith, doesnotcontain,
            isnullorempty are unavailable\r

            \            \r

            For strings operators: lt, lte, gt, gte are unavailable\r

            \            \r

            Example:
            created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|12400\
            2"
          schema:
            type: string
            description: "Filter by. \r

              \r

              Available field name values: id, created_on, product_id,
              product_supplier_sku, product_short_description,
              product_created_on, origin, supplier_buy_ex_before,
              supplier_buy_ex_change, supplier_buy_ex_after,
              buy_price_ex_before, buy_price_ex_change, buy_price_ex_after,
              direct_costs_ex_before, direct_costs_ex_change,
              direct_costs_ex_after, sell_price_inc_before,
              sell_price_inc_change, sell_price_inc_after,
              discount_price_before, discount_price_change,
              discount_price_after, rrp_inc_before, rrp_inc_change,
              rrp_inc_after, web_price_inc_before, web_price_inc_change,
              web_price_inc_after, product_type_before, product_type_after,
              disabled_before, disabled_after.\r

              \            \r

              In string values: '|' and ',' characters have to be escaped with
              slash, i.e. '\\\\,' '\\\\|'\r

              \            \r

              For operators that support multiple values (in, notin): multiple
              values are delimited using '|' character\r

              \r

              Available operators:\r

              \r

              eq -  Equal\r

              \r

              neq - Not equals\r

              \r

              lt  - Less\r

              \r

              lte - Less or equal\r

              \r

              gt -  Greater\r

              \r

              gte - Greater or equal\r

              \r

              in  - In\r

              \r

              notin - Not In\r

              \            \r

              contains - Contains\r

              \r

              isnull - Is Null\r

              \            \r

              isnullorempty - Is Null Or Empty\r

              \r

              isnotnull - Is Not Null\r

              \r

              startswith - Starts with\r

              \r

              endswith - Ends with\r

              \r

              doesnotcontain - Does not contain\r

              \            \r

              For non-nullable fields operators isnull and isnotnull are
              unavailable\r

              \r

              For dates operators: contains, startswith, endswith,
              doesnotcontain, isnullorempty are unavailable\r

              \            \r

              For strings operators: lt, lte, gt, gte are unavailable\r

              \            \r

              Example:
              created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124\
              002"
            nullable: true
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: id, created_on, product_id,
            product_supplier_sku, product_short_description, product_created_on,
            movement_type, origin, supplier_buy_ex_before,
            supplier_buy_ex_change, supplier_buy_ex_after, buy_price_ex_before,
            buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before,
            direct_costs_ex_change, direct_costs_ex_after,
            sell_price_inc_before, sell_price_inc_change, sell_price_inc_after,
            discount_price_before, discount_price_change, discount_price_after,
            rrp_inc_before, rrp_inc_change, rrp_inc_after, web_price_inc_before,
            web_price_inc_change, web_price_inc_after, product_type_before,
            product_type_after, disabled_before, disabled_after.\r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: id asc, created_on desc"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: id, created_on, product_id,
              product_supplier_sku, product_short_description,
              product_created_on, movement_type, origin, supplier_buy_ex_before,
              supplier_buy_ex_change, supplier_buy_ex_after,
              buy_price_ex_before, buy_price_ex_change, buy_price_ex_after,
              direct_costs_ex_before, direct_costs_ex_change,
              direct_costs_ex_after, sell_price_inc_before,
              sell_price_inc_change, sell_price_inc_after,
              discount_price_before, discount_price_change,
              discount_price_after, rrp_inc_before, rrp_inc_change,
              rrp_inc_after, web_price_inc_before, web_price_inc_change,
              web_price_inc_after, product_type_before, product_type_after,
              disabled_before, disabled_after.\r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: id asc, created_on desc"
            nullable: true
        - name: page_number
          in: query
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Product Details Logs data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProductDetailLog.PagingResponse"
              example:
                data:
                  - id: 0
                    created_on: string
                    created_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                    product:
                      id: 0
                      supplier_sku: string
                      short_description: string
                      created_on: string
                    movement_type: string
                    origin: string
                    supplier_buy_ex:
                      before: 0
                      change: 0
                      after: 0
                    buy_price_ex:
                      before: 0
                      change: 0
                      after: 0
                    direct_costs_ex:
                      before: 0
                      change: 0
                      after: 0
                    sell_price_inc:
                      before: 0
                      change: 0
                      after: 0
                    discount_price:
                      before: 0
                      change: 0
                      after: 0
                    rrp_inc:
                      before: 0
                      change: 0
                      after: 0
                    web_price_inc:
                      before: 0
                      change: 0
                      after: 0
                    product_type:
                      before: string
                      after: string
                    disabled:
                      before: true
                      after: true
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ProductDetailLog.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/ProductDetailLog"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ProductDetailLog:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id
          format: int32
        created_on:
          type: string
          description: Created on
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        product:
          $ref: "#/components/schemas/ProductDetailLogProduct"
        movement_type:
          type: string
          description: Source type
          nullable: true
        origin:
          type: string
          description: Origin
          nullable: true
        supplier_buy_ex:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        buy_price_ex:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        direct_costs_ex:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        sell_price_inc:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        discount_price:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        rrp_inc:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        web_price_inc:
          $ref: "#/components/schemas/Decimal.BeforeChangeAfter"
        product_type:
          $ref: "#/components/schemas/String.BeforeAfter"
        disabled:
          $ref: "#/components/schemas/Boolean.BeforeAfter"
      additionalProperties: false
      description: Product Detail Log model
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    ProductDetailLogProduct:
      title: ""
      type: object
      properties:
        id:
          type: integer
          format: int32
        supplier_sku:
          type: string
          nullable: true
        short_description:
          type: string
          nullable: true
        created_on:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
      description: Product Detail Log Product model
    Decimal.BeforeChangeAfter:
      title: ""
      type: object
      properties:
        before:
          type: number
          description: Before
          format: double
        change:
          type: number
          description: Change
          format: double
        after:
          type: number
          description: After
          format: double
      additionalProperties: false
    String.BeforeAfter:
      title: ""
      type: object
      properties:
        before:
          type: string
          description: Before
          nullable: true
        after:
          type: string
          description: After
          nullable: true
      additionalProperties: false
    Boolean.BeforeAfter:
      title: ""
      type: object
      properties:
        before:
          type: boolean
          description: Before
        after:
          type: boolean
          description: After
      additionalProperties: false
```
